## GODataMatrix

GODataMatrix

## Functions

int | go_data_matrix_get_columns ()
PangoAttrList * | go_data_matrix_get_markup ()
void | go_data_matrix_get_minmax ()
int | go_data_matrix_get_rows ()
GODataMatrixSize | go_data_matrix_get_size ()
char * | go_data_matrix_get_str ()
double | go_data_matrix_get_value ()
double * | go_data_matrix_get_values ()

## Types and Values

enum | GODataFlags
| GODataMatrixClass
| GODataScalarClass
| GODataVectorClass
| GODataMatrix

## Object Hierarchy

        GObject
        ╰── GOData
            ╰── GODataMatrix
                ╰── GODataMatrixVal

## Description

## Functions

### go_data_matrix_get_columns ()

    int
    go_data_matrix_get_columns (GODataMatrix *mat);

#### Parameters

mat | GODataMatrix |

#### Returns

the number of columns.

### go_data_matrix_get_markup ()

    PangoAttrList *
    go_data_matrix_get_markup (GODataMatrix *mat,
                               unsigned  i,
                               unsigned  j);

#### Parameters

mat | GODataMatrix |
i | row index |
j | column index |

#### Returns

the markup at (`i` , `j` ).

[transfer full][nullable]

### go_data_matrix_get_minmax ()

    void
    go_data_matrix_get_minmax (GODataMatrix *mat,
                               double *min,
                               double *max);

Retrieves the minimum and maximum values in `mat` .

#### Parameters

mat | GODataMatrix |
min | location for minimum value. | [out][optional]
max | location for maximum value. | [out][optional]

### go_data_matrix_get_rows ()

    int
    go_data_matrix_get_rows (GODataMatrix *mat);

#### Parameters

mat | GODataMatrix |

#### Returns

the number of rows.

### go_data_matrix_get_size ()

    GODataMatrixSize
    go_data_matrix_get_size (GODataMatrix *mat);

[skip]

#### Parameters

mat | GODataMatrix |

#### Returns

the matrix size

### go_data_matrix_get_str ()

    char *
    go_data_matrix_get_str (GODataMatrix *mat,
                            unsigned  i,
                            unsigned  j);

#### Parameters

mat | GODataMatrix |
i | row index |
j | column index |

#### Returns

the string at (`i` , `j` ).

[transfer full]

### go_data_matrix_get_value ()

    double
    go_data_matrix_get_value (GODataMatrix *mat,
                              unsigned  i,
                              unsigned  j);

#### Parameters

mat | GODataMatrix |
i | row index |
j | column index |

#### Returns

the value at (`i` , `j` ).

### go_data_matrix_get_values ()

    double *
    go_data_matrix_get_values (GODataMatrix *mat);

#### Parameters

mat | GODataMatrix |

#### Returns

the data values.

[array]

## Types and Values

### enum GODataFlags

#### Members

GO_DATA_CACHE_IS_VALID | data in cache are valid. |
GO_DATA_IS_EDITABLE | data can be edited. |
GO_DATA_SIZE_CACHED | cached size is valid. |
GO_DATA_HAS_VALUE | object is not empty. |

### GODataMatrixClass

    typedef struct {
    	GODataClass base;

    	void	 (*load_size)    (GODataMatrix *vec);
    	void	 (*load_values) (GODataMatrix *vec);
    	double	 (*get_value)   (GODataMatrix *mat, unsigned i, unsigned j);
    	char *(*get_str) (GODataMatrix *mat, unsigned i, unsigned j);
    	PangoAttrList *(*get_markup) (GODataMatrix *mat, unsigned i, unsigned j);
    } GODataMatrixClass;

#### Members

GODataClass `base`; | base class. |
`load_size` () | loads the matrix length. |
`load_values` () | loads the values in the cache. |
`get_value` () | gets a value. |
`get_str` () | gets a string. |
`get_markup` () | gets the PangoAttrList* for the string. |

### GODataScalarClass

    typedef struct {
    	GODataClass base;
    	double       (*get_value)  (GODataScalar *scalar);
    	char const  *(*get_str)	   (GODataScalar *scalar);
    	PangoAttrList const *(*get_markup) (GODataScalar *scalar);
    } GODataScalarClass;

#### Members

GODataClass `base`; | base class. |
`get_value` () | gets the value. |
`get_str` () | gets the string. |
`get_markup` () | gets the PangoAttrList* for the string. |

### GODataVectorClass

    typedef struct {
    	GODataClass base;

    	void	 (*load_len)    (GODataVector *vec);
    	void	 (*load_values) (GODataVector *vec);
    	double	 (*get_value)   (GODataVector *vec, unsigned i);
    	char *(*get_str) (GODataVector *vec, unsigned i);
    	PangoAttrList *(*get_markup) (GODataVector *vec, unsigned i);
    } GODataVectorClass;

#### Members

GODataClass `base`; | base class. |
`load_len` () | loads the vector length. |
`load_values` () | loads the values in the cache. |
`get_value` () | gets a value. |
`get_str` () | gets a string. |
`get_markup` () | gets the PangoAttrList* for the string. |

### GODataMatrix

    typedef struct _GODataMatrix GODataMatrix;